package DevLog;

import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.event.ComponentEvent;
import java.awt.event.ComponentListener;

import javax.swing.JFrame;
import javax.swing.JTextArea;

public class SwingDemoEvent1 extends JFrame implements ComponentListener {
	JTextArea display;

	public void init() {
		this.setTitle("example event 1");
		this.setDefaultCloseOperation(EXIT_ON_CLOSE);
		Container cp = getContentPane();
		cp.setLayout(new FlowLayout());
		display = new JTextArea();
		display.setEditable(false);
		cp.add(display);
		this.addComponentListener(this);
	}

	protected void displayMessage(String message) {
		display.append(message + "\n");
		display.setCaretPosition(display.getDocument().getLength());
	}

	// ComponentListener
	public void componentHidden(ComponentEvent e) {
		displayMessage(e.getComponent().getClass().getName() + " --- Hidden");
	}

	public void componentMoved(ComponentEvent e) {
		displayMessage(e.getComponent().getClass().getName() + " --- Moved");
	}

	public void componentResized(ComponentEvent e) {
		displayMessage(e.getComponent().getClass().getName() + " --- Resized");
	}

	public void componentShown(ComponentEvent e) {
		displayMessage(e.getComponent().getClass().getName() + " --- Shown");
	}

	public static void main(String[] args) {
		SwingDemoEvent1 frame = new SwingDemoEvent1();
		frame.init();
		frame.setSize(250, 700);
		frame.setVisible(true);
	}
}
